from django.db import models
from django.urls import reverse


class Author(models.Model):
    first_name = models.CharField(max_length=50)
    last_name = models.CharField(max_length=50)
    age = models.IntegerField()
    nationality = models.CharField(max_length=50)
    bio = models.CharField(max_length=700)

    def __str__(self):
        return '''{} {}'''.format(
            self.first_name,
            self.last_name,
            )

    def get_absolute_url(self):
        return reverse('bookshelf:author_details', kwargs={'pk': self.pk})


class Books(models.Model):
    title = models.CharField(max_length=125)
    author = models.ForeignKey(Author, on_delete=models.CASCADE)
    publisher = models.CharField(max_length=100)
    year_published = models.IntegerField()
    isbn = models.CharField(max_length=13)
    blurb = models.TextField()

    def __str__(self):
        return '''{}'''.format(
            self.title,
        )

    def get_absolute_url(self):
        return reverse('bookshelf:books_details', kwargs={'pk': self.pk})
