from django.urls import path
from .views import (
    home, BooksView, PerBooksView, AddBookView, EditBooksView, 
    AuthorView, PerAuthorView, AddAuthorView, EditAuthorsView
)

urlpatterns = [
    path('home', home, name='home'),
    path('books', BooksView.as_view(), name='books'),
    path('books/<int:pk>/details', PerBooksView.as_view(), name='books_details'),
    path('books/add', AddBookView.as_view(), name='add-book'),
    path('books/<int:pk>/edit', EditBooksView.as_view(), name='edit-book'),
    path('author', AuthorView.as_view(), name='author'),
    path('author<int:pk>/details', PerAuthorView.as_view(), name='author_details'),
    path('authors/add', AddAuthorView.as_view(), name='add-author'),
    path('author/<int:pk>/edit', EditAuthorsView.as_view(), name='edit-author'),
]

app_name = 'bookshelf'
