from django.shortcuts import render
from .models import Author, Books
from django.views.generic.list import ListView
from django.views.generic.detail import DetailView
from django.views.generic.edit import CreateView, UpdateView


def home(request):
    return render(request, 'home.html')


class BooksView(ListView):
    model = Books
    template_name = 'books.html'


class PerBooksView(DetailView):
    model = Books
    template_name = 'books_details.html'


class AddBookView(CreateView):
    model = Books
    fields = '__all__'
    template_name = 'add-book.html'


class EditBooksView(UpdateView):
    model = Books
    fields = '__all__'
    template_name = 'edit-book.html'


class AuthorView(ListView):
    model = Author
    template_name = 'author.html'


class PerAuthorView(DetailView):
    model = Author
    template_name = 'author_details.html'


class AddAuthorView(CreateView):
    model = Author
    fields = '__all__'
    template_name = 'add-author.html'


class EditAuthorsView(UpdateView):
    model = Author
    fields = '__all__'
    template_name = 'edit-author.html'
